function adkitReady(){
    var closeButton = document.getElementById("closeBtn");
    var skipButton = document.getElementById("skipBtn");

    skipButton.style.visibility = "hidden";
    closeButton.style.visibility = "hidden";

    adkit.vpaid.onSkipEnabled(function(){
        skipButton.style.visibility = "visible";
    });

    adkit.vpaid.onCloseEnabled(function(){
        closeButton.style.visibility = "visible";
    });
    
     if(initCreative) initCreative();    
}

function initCreative(){
    initButtons();
}

function initButtons(){
    togglePlaybackBtn = document.getElementById("togglePlaybackBtn")
    togglePlaybackBtn.addEventListener("click", togglePlayback);

    toggleAudioBtn = document.getElementById("toggleAudioBtn")
    toggleAudioBtn.addEventListener("click", toggleAudio);

    customInteractionBtn = document.getElementById("customInteractionBtn")
    customInteractionBtn.addEventListener("click", onCustomInteraction);

    videoClickOverlay = document.getElementById("videoClickOverlay")
    videoClickOverlay.addEventListener("click", onClickThrough);

    clickThroughBtn = document.getElementById("clickThroughBtn")
    clickThroughBtn.addEventListener("click", onClickThrough);
    
    skipButton = document.getElementById("skipBtn");
    skipButton.addEventListener("click", onSkip);
    
    adkit.vpaid.onVideoEvents([adkit.vpaid.VIDEO_EVENTS.PLAY, adkit.vpaid.VIDEO_EVENTS.PAUSE, adkit.vpaid.VIDEO_EVENTS.ENDED], function(event){ 
        var html = event.type === "play" ? "pause" : "play";
        togglePlaybackBtn.innerHTML = html;
    });
    
    adkit.vpaid.onVideoEvents([adkit.vpaid.VIDEO_EVENTS.VOLUME_CHANGE], function(event){ 
        var html = adkit.vpaid.muted ? "unmute" : "mute";
        toggleAudioBtn.innerHTML = html;
    });
}

function onSkip(event){
    adkit.vpaid.skipAd();
}


function toggleAudio(){
    adkit.vpaid.muted = !adkit.vpaid.muted;
}

function togglePlayback(){
    if(togglePlaybackBtn.innerHTML === "pause"){
        adkit.vpaid.pause();
        return;
    }
    adkit.vpaid.play();
}

function onClickThrough(event){
    EB.clickthrough();
    adkit.vpaid.pause();
}

function onCustomInteraction(){
    EB.userActionCounter("CustomInteractionName");
}
